# $Revision: 1.88 $, $Date: 2011/04/09 18:57:03 $
Summary:	GNOME System Tools
Summary(pl.UTF-8):	GNOME System Tools - narzędzia systemowe GNOME
Name:		gnome-system-tools
Version:	3.0.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/3.0/%{name}-%{version}.tar.bz2
# Source0-md5:	5dc48086cec964d146c9c446a54a8d39
Patch0:		%{name}-desktop.patch
URL:		http://www.gnome.org/projects/gst/
BuildRequires:	GConf2
BuildRequires:	GConf2-devel >= 2.22.0
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-devel >= 1.1.2
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gnome-doc-utils >= 0.12.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool
BuildRequires:	libiw-devel
BuildRequires:	liboobs-devel >= 3.0.0
BuildRequires:	libxml2-progs
BuildRequires:	nautilus-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	polkit-gnome-devel >= 0.94
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	system-tools-backends >= 2.10.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	/etc/pld-release
Requires:	gtk+3 >= 3.0.0
Requires:	liboobs >= 2.30.0
Requires:	nautilus-libs >= 3.0.0
Requires:	polkit-gnome >= 0.94
Requires:	setup >= 2.6.1-1
Requires:	shadow-extras
Requires:	system-tools-backends >= 2.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GST are a fully integrated set of tools aimed to make easy the job
that means the computer administration on an UNIX or Linux system.
They're thought to help from the new Linux or UNIX user to the system
administrators. The GNOME System Tools are free software, licensed
under the terms of the GNU General Public License.

%description -l pl.UTF-8
GST (GNOME System Tools) to w pełni zintegrowany zestaw narzędzi,
których celem jest ułatwienie prac administracyjnych pod systemem
uniksowym lub linuksowym. Są pomyślane tak, aby pomóc nowym
użytkownikom Linuksa lub Uniksa w administrowaniu systemem. GNOME
System Tools to wolnodostępne oprogramowanie, licencjonowane na
warunkach Powszechnej Licencji Publicznej GNU.

%prep
%setup -q
%patch0 -p1

%build
mkdir m4
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-scrollkeeper \
	--disable-schemas-install \
	--disable-silent-rules \
	--disable-static \
	--enable-nautilus \
	--enable-network \
	--enable-polkit-gtk \
	--enable-services \
	--enable-shares \
	--enable-time \
	--enable-users
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/libnautilus-gst-shares.la

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%scrollkeeper_update_post
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS HACKING NEWS ChangeLog
%attr(755,root,root) %{_bindir}/network-admin
%attr(755,root,root) %{_bindir}/services-admin
%attr(755,root,root) %{_bindir}/shares-admin
%attr(755,root,root) %{_bindir}/time-admin
%attr(755,root,root) %{_bindir}/users-admin
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-gst-shares.so
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.system-tools.gschema.xml
%dir %{_sysconfdir}/gnome-system-tools
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gnome-system-tools/user-profiles.conf
%{_desktopdir}/network.desktop
%{_desktopdir}/services.desktop
%{_desktopdir}/shares.desktop
%{_desktopdir}/time.desktop
%{_desktopdir}/users.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_pkgconfigdir}/gnome-system-tools.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-system-tools.spec,v $
Revision 1.88  2011/04/09 18:57:03  lisu
- updated to 3.0.0
- updated deps
- drop obsoleted asneeded.patch
- force create m4 dir

Revision 1.87  2011/04/04 14:56:55  qboosh
- en@shaw locale is now supported (via LANGUAGE)
- one more __rm macro

Revision 1.86  2011/02/05 22:04:50  wiget
- up to 2.32.0
- fix linking (adneeded.patch)
- use %{__rm} macro

Revision 1.85  2011/02/04 18:23:53  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.84  2010/05/11 12:23:02  baggins
- rel 2
- desktop files cleanup (GNOME only)

Revision 1.83  2010/05/01 10:59:14  megabajt
- updated to 2.30.1

Revision 1.82  2010/01/06 03:06:21  sparky
- BR: GConf2, docbook-dtd412-xml

Revision 1.81  2009/12/23 15:10:56  megabajt
- updated to 2.28.2

Revision 1.80  2009/11/25 18:03:03  sparky
- BR: intltool, libxml2-progs

Revision 1.79  2009/11/12 11:55:04  patrys
- rebuild
- rel 2

Revision 1.78  2009/09/26 22:17:58  patrys
- BR: s-t-b

Revision 1.77  2009/09/26 21:58:18  patrys
- merged from DEVEL

Revision 1.76.2.5  2009/09/26 21:57:55  patrys
- 2.28.0

Revision 1.76.2.4  2009/09/09 07:24:14  patrys
- drop ca@valencia

Revision 1.76.2.3  2009/09/09 07:19:43  patrys
- 2.27.92

Revision 1.76.2.2  2009/08/20 08:22:54  patrys
- 2.27.3

Revision 1.76.2.1  2009/07/19 12:11:19  patrys
- 2.27.1

Revision 1.76  2009/04/03 17:59:32  megabajt
- updated to 2.22.2
- changed group to X11/Applications

Revision 1.75  2009/03/01 16:43:18  baggins
- rel 4
- no need to regenerate autocrap

Revision 1.74  2009/03/01 16:16:49  baggins
- rel 3

Revision 1.73  2009/03/01 16:10:56  baggins
- rel 2
- removed cdwrite from more-groups patch (replaced by cdrom group)

Revision 1.72  2008/09/13 13:42:27  patrys
- pushed patches upstream

Revision 1.71  2008/03/12 12:45:00  patrys
- 2.22.0
- merged from DEVEL

Revision 1.70.2.9  2008-03-12 12:44:05  patrys
- 2.22.0

Revision 1.70.2.8  2008-02-12 10:34:58  megabajt
- updated to 2.21.91
- more verbose files

Revision 1.70.2.7  2008-01-16 01:51:36  patrys
- updated deps

Revision 1.70.2.6  2008-01-15 15:26:20  patrys
- add epoch to glib2 req

Revision 1.70.2.5  2008-01-15 15:02:59  patrys
- 2.21.5.1

Revision 1.70.2.4  2007-12-25 13:01:50  megabajt
- updated to 2.21.3

Revision 1.70.2.3  2007-12-22 23:05:20  patrys
- BR: PolKit-devel 0.5

Revision 1.70.2.2  2007-12-22 23:04:27  patrys
- R: PolicyKit-gnome

Revision 1.70.2.1  2007-12-20 01:56:38  patrys
- 2.21.2.1

Revision 1.70  2007-11-27 20:29:21  qboosh
- updated find_lang BR

Revision 1.69  2007-11-23 19:35:00  megabajt
- release 2

Revision 1.68  2007-11-05 16:35:57  megabajt
- use --with-omf

Revision 1.67  2007/11/01 23:33:47  megabajt
- added more-services patch

Revision 1.66  2007/11/01 20:02:58  megabajt
- added more-groups patch

Revision 1.65  2007/10/18 19:30:04  ankry
- tab

Revision 1.64  2007/10/03 14:18:20  emes
- added Req: system-tools-backends

Revision 1.63  2007/09/14 20:44:12  megabajt
- updated to 2.20.0; merged changes from DEVEL

Revision 1.55.2.6  2007/09/11 12:10:51  megabajt
- removed obsolete desktop patch
- updated deps

Revision 1.55.2.5  2007/09/08 23:30:24  aflinta
- up to 2.19.92

Revision 1.55.2.4  2007/09/02 15:43:35  aflinta
- up to 2.19.91

Revision 1.62  2007/04/10 20:28:20  rotom
- 2.18.1

Revision 1.61  2007/03/20 16:11:39  patrys
- 2.18.0

Revision 1.60  2007/03/10 18:22:37  megabajt
- updated to 2.17.92
- removed obsolete plural,locale patches

Revision 1.59  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.58  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.57  2007/01/17 16:36:49  qrczak
- gnome-system-tools-plural.patch: Fixed translations where gettext
  complains about too many plural forms
- Release 6

Revision 1.56  2006/09/01 22:48:54  grzegol
- 2.14.0 on HEAD, 2.15.x on DEVEL

Revision 1.53  2006/08/10 19:45:24  patrys
- make it build with --as-needed

Revision 1.52  2006/08/10 19:22:39  patrys
- rel up for new libcrypto

Revision 1.51  2006/05/27 00:33:14  qboosh
- merged deps update from AC-branch

Revision 1.48.4.3  2006/05/18 22:40:33  baggins
- release 3
- strict reqs

Revision 1.48.4.2  2006/05/16 14:56:46  baggins
- release 2

Revision 1.48.4.1  2006/05/16 14:32:28  baggins
- merged from HEAD

Revision 1.50  2006/05/15 16:53:14  baggins
- updated source URL and md5sum

Revision 1.49  2006/05/15 16:51:46  baggins
- merged from DEVEL
- updated to 2.14.0

Revision 1.48.2.1  2006/02/18 23:28:28  aflinta
- up to version 2.13.2

Revision 1.48  2005/11/28 18:43:51  freetz
- 1.4.1, run glib-gettextize/intltoolize

Revision 1.47  2005/09/06 23:11:30  aflinta
- merged from DEVEL, 1.4.0

Revision 1.46.2.6  2005/08/24 08:26:29  aflinta
- fixed schema name in post

Revision 1.46.2.5  2005/08/23 14:50:22  paladine
- added missing commit log

Revision 1.46.2.4  2005/08/23 14:35:15  paladine
- updated to 1.3.92
- use more macros
- sorted files

Revision 1.46.2.3  2005/08/18 11:03:33  aflinta
- rebuild with cairo, rel. 2

Revision 1.46.2.2  2005/08/09 11:57:59  aflinta
- up to version 1.3.2

Revision 1.46.2.1  2005/07/29 08:42:17  wiget
- updated to 1.3.1

Revision 1.46  2005/05/15 01:17:46  ankry
- proper locale fix (incl. desktops), rel.4

Revision 1.45  2005/03/30 13:17:08  havner
- rel 3
- this package seems to be broken in general, some modules doesn't work
  at all, at least desktop files are better now

Revision 1.44  2005/03/30 12:29:19  havner
- enable all modules, i must check their usability, test build

Revision 1.43  2005/03/20 21:13:17  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.42  2005/03/15 18:20:55  paladine
- merged from DEVEL
- proper license
- removed TODO

Revision 1.41.2.4  2005/03/13 12:08:55  aflinta
- up to version 1.2.0

Revision 1.41.2.3  2005/03/01 22:17:09  paladine
- updated to 1.1.92
- removed CommonMakefile patch, file already in sources (still needed for HEAD)

Revision 1.41.2.2  2005/02/08 18:39:00  grzegol
- updated to 1.1.91
- setup-tools-backends had been divided into separate package
- removed outdated configure patch

Revision 1.41.2.1  2005/02/07 18:06:13  grzegol
- updated to 1.1.90

Revision 1.41  2004/12/06 21:46:49  grzegol
- updated to 1.0.2
- removed locale-names patch and remove no locale in %%install

Revision 1.40  2004/10/14 08:28:05  aflinta
- rebuild with prober desktop patch (uses System instead of SystemSetup)

Revision 1.39  2004/09/15 18:24:37  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.38  2004/09/13 23:00:39  grzegol
- updated to 1.0.0

Revision 1.37  2004/09/01 18:32:01  grzegol
- updated to 0.92.0

Revision 1.36  2004/08/24 12:58:20  freetz
- desktop patch added, rel.3, STBR

Revision 1.35  2004/08/22 22:11:07  aflinta
- rebild with howl, release 2

Revision 1.34  2004/08/22 18:08:10  grzegol
- added configure patch

Revision 1.33  2004/08/20 13:11:12  aflinta
- up to version 0.91.0

Revision 1.32  2004/07/20 10:53:09  grzegol
- updated to 0.90.0

Revision 1.31  2004/06/30 11:25:01  grzegol
- updated to 0.34.0

Revision 1.30  2004/05/18 10:54:22  grzegol
- updated to 0.33.0
- added locale-names patch (rename locale no -> nb)
- added CommonMakefile patch (add missing CommonMakefile file)
- regenerate libtool

Revision 1.29  2004/02/05 10:01:37  aflinta
- version 0.32.0

Revision 1.28  2004/01/08 14:02:26  grzegol
- updated to 0.31.1
- removed outdated DESTDIR patch
- added pld_1_1_and_1_99_support patch (detect PLD-1.1 Ra and PLD-1.99 Ac)

Revision 1.27  2004/01/02 10:52:17  jajcus
- config.sub update is not needed anymore (as automake is run)

Revision 1.26  2004/01/01 22:36:51  grzegol
- updated to 0.31.0
- removed outdated desktop patch
- added DESTDIR patch
- regenerate al/ac/am

Revision 1.25  2004/01/01 09:39:53  jajcus
- copy config.sub from automake

Revision 1.24  2003/12/12 16:15:33  grzegol
- added desktop patch (adapt .desktop files to standard)

Revision 1.23  2003/12/09 11:00:31  trojan
- updated to 0.30.0
- removed outdated patch

Revision 1.22  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.21  2003/10/30 13:06:10  grzegol
- updated to 0.29.0
- added time patch (fixes date/time configurator)

Revision 1.20  2003/10/13 15:10:06  grzegol
- updated to 0.28.0

Revision 1.19  2003/08/26 05:02:50  aflinta
- version 0.27.0

Revision 1.18  2003/08/18 08:08:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/08/10 17:05:24  grzegol
- added time patch (fixes time-admin)
- rel. 3

Revision 1.16  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.15  2003/05/30 21:24:34  aflinta
- version 0.26.1

Revision 1.14  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.13  2003/05/25 05:48:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/20 18:46:12  aflinta
- version 0.26.0, added TODO

Revision 1.11  2003/05/06 05:52:55  aflinta
- version 0.25.0, removed PLD specific patches which are now included in sources

Revision 1.10  2003/04/28 20:12:52  grzegol
- updated PLD patch - network-admin done, but please test it
- rel. 2.6, should work

Revision 1.9  2003/04/28 12:00:16  grzegol
- updated PLD patch - boot-admin done
- rel. 2.5

Revision 1.8  2003/04/27 20:48:54  grzegol
- updated PLD patch - time-admin done
- rel. 2.4

Revision 1.7  2003/04/27 20:21:29  grzegol
- updated PLD patch - runlevel-admin done
- rel. 2.3

Revision 1.6  2003/04/27 19:53:55  grzegol
- added pld logo and pld_icon patch
- rel. 2.2

Revision 1.5  2003/04/27 19:26:11  grzegol
- added PLD patch (recognize PLD distribution, but only users-admin module
  for now)
- added R: /etc/pld-release - necessary for recognition
- rel. 2.1

Revision 1.4  2003/03/12 23:13:55  aflinta
- updated file attributes; this tool is still not useable under PLD, but please be patient; release 2

Revision 1.3  2003/03/12 00:36:57  qboosh
- pl description

Revision 1.2  2003/03/10 21:52:35  aflinta
- updated to version 0.24.0

Revision 1.1  2003/02/22 18:05:03  aflinta
- PLD initial release
